Subject: bug#71823: 31.0.50; project-mode-line and eglot duplicate project-name in mode-line

From: João Távora <[email-masked]>
Date: Sun, 30 Jun 2024 11:25:16 +0100

On Sun, Jun 30, 2024, 07:55 Juri Linkov <[email-masked]> wrote:

> shorter.
>
> Ideally, everything should be customizable by two new Eglot options:
> eglot-mode-line-format and eglot-mode-line-position (e.g. middle/end).
>

The second one is redundant. There is already ample machinery to juggle
elements around in relation to other elements. But the first one is
absolutely what's needed, and fixes other issues, so anyone should feel
free to start working on it, the default value of course producing exactly
what is seen now, perhaps with the "defer to protect" semantics.

João